/* 
 * box.h - This file contains the defines for boxes etc.
 *
 *  $Id: box.h,v 1.6 1997/12/15 12:12:15 johns Exp $
 */

 
typedef struct {
  unsigned int id;                      /* Unique Object serial number    */
  void * nextobj;                       /* pointer to next object in list */
  object_methods * methods;             /* this object's methods          */
  texture * tex;                        /* object texture                 */
  vector min;
  vector max;
} box; 


box * newbox(void * tex, vector min, vector max);
void box_intersect(box *, ray *);
void box_normal(box *, vector *, ray * incident, vector *);
